"Fossies" - the Fresh Open Source Software Archive  

Source code changes of the file "salt/minion.py" between
salt-3002.1.tar.gz and salt-3002.2.tar.gz

About: SaltStack is a systems management software for data center automation, cloud orchestration, server provisioning, configuration management and more. Community version.

minion.py  (salt-3002.1):minion.py  (salt-3002.2)
skipping to change at line 1244 skipping to change at line 1244
"You have a version of ZMQ less than ZMQ 3.2! There are " "You have a version of ZMQ less than ZMQ 3.2! There are "
"known connection keep-alive issues with ZMQ < 3.2 which " "known connection keep-alive issues with ZMQ < 3.2 which "
"may result in loss of contact with minions. Please " "may result in loss of contact with minions. Please "
"upgrade your ZMQ!" "upgrade your ZMQ!"
) )
# Late setup of the opts grains, so we can log from the grains # Late setup of the opts grains, so we can log from the grains
# module. If this is a proxy, however, we need to init the proxymodule # module. If this is a proxy, however, we need to init the proxymodule
# before we can get the grains. We do this for proxies in the # before we can get the grains. We do this for proxies in the
# post_master_init # post_master_init
if not salt.utils.platform.is_proxy(): if not salt.utils.platform.is_proxy():
self.opts["grains"] = salt.loader.grains(opts) if not self.opts.get("grains", {}):
self.opts["grains"] = salt.loader.grains(opts)
else: else:
if self.opts.get("beacons_before_connect", False): if self.opts.get("beacons_before_connect", False):
log.warning( log.warning(
"'beacons_before_connect' is not supported " "'beacons_before_connect' is not supported "
"for proxy minions. Setting to False" "for proxy minions. Setting to False"
) )
self.opts["beacons_before_connect"] = False self.opts["beacons_before_connect"] = False
if self.opts.get("scheduler_before_connect", False): if self.opts.get("scheduler_before_connect", False):
log.warning( log.warning(
"'scheduler_before_connect' is not supported " "'scheduler_before_connect' is not supported "
 End of changes. 1 change blocks. 
1 lines changed or deleted 2 lines changed or added

Home  |  About  |  Features  |  All  |  Newest  |  Dox  |  Diffs  |  RSS Feeds  |  Screenshots  |  Comments  |  Imprint  |  Privacy  |  HTTP(S)